Legal Holds Update Policy

View as MarkdownOpen in Claude
Updates a legal hold. Note: Legal Holds is a paid add-on. Not all teams have the feature. Permission : Team member file access. **Required scope:** `team_data.governance.write` **Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints) **Authentication:** [Team](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#team-authentication)

Authentication

AuthorizationBearer
Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use `Authorization: Bearer <token>`. Obtain via the authorization code flow with team-scoped permissions. Grants access to team-wide administrative operations. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

Request

This endpoint expects an object.
idstringRequiredformat: "^pid_dbhid:.+"
The legal hold Id.
descriptionstring or nullOptional<=501 characters
Policy new description.
memberslist of strings or nullOptional
List of team member IDs to apply the policy on.
namestring or nullOptional<=140 characters
Policy new name.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error